# dmd.backend.cdef

Compiler implementation of the D programming language.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: backend/cdef.d

- `EXIT_BREAK`

  #### Declaration

  `enum int `EXIT_BREAK`;`

  Limits & machine dependent stuff.

- `linkage_t`

  #### Declaration

  `enum `linkage_t`: int;`

  Configuration

- `EHmethod`

  #### Declaration

  `enum `EHmethod`: int;`

  Exception handling method

- `Cent`

  #### Declaration

  `struct `Cent`;`

  Union of all data types. Storage allocated must be the right size of the data on the TARGET, not the host.

- `SC`

  #### Declaration

  `alias `SC` = int;`

  Storage classes